Bug 26911 - KDE crashes during a user's first login
KDE crashes during a user's first login
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-02-09 21:58 EST by David Paschal
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-09 21:58:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Paschal 2001-02-09 21:58:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.18-dsp1 i686)

(I first downgraded glibc from the broken i686 version to i386 to ensure
this is not a glibc or kdm problem.)

The first time a user (root or otherwise) starts KDE (from gdm or kdm in my
case), the tri-color "starting KDE" progress dialog box appears, and
part-way through initialization the X server suddenly exits and returns to
the login prompt.  Successive logins as the same user are successful, but
if I recreate the user's home directory from /etc/skel, the problem happens
once again at the next login.

Reproducible: Always
Steps to Reproduce:
- Create a new user, or replace an existing user's home directory with
contents of /etc/skel.
- Login as that user and start KDE.
- After the crash and second login attempt, KDE starts successfully.
Comment 1 Bernhard Rosenkraenzer 2001-02-12 09:45:13 EST
Fixed in 20010212-1

Note You need to log in before you can comment on or make changes to this bug.